## org.eclipse.jet.core.parser
Class ProblemSeverity

    java.lang.Object
      org.eclipse.jet.core.parser.ProblemSeverity

    public final class ProblemSeverity

extends java.lang.Object

Enumeration of problem Severities

This class is not intended to be subclassed by clients.

Since:
  1.0

Field Summary
`static ProblemSeverity` `ERROR` The compilation unit has a problem that will prevent execution.
`static ProblemSeverity` `WARNING` The compilation unit has a problem, but it is will not prevent execution.

Constructor Summary
`protected` `ProblemSeverity(java.lang.String display)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARNING

    public static final ProblemSeverity WARNING

  The compilation unit has a problem, but it is will not prevent execution.

### ERROR

    public static final ProblemSeverity ERROR

  The compilation unit has a problem that will prevent execution.

Constructor Detail

### ProblemSeverity

    protected ProblemSeverity(java.lang.String display)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.